Subject: [bug#48325] update of julia to 1.6.1

From: Nicolò Balzarotti <[email-masked]>
Date: Sun, 06 Jun 2021 23:26:32 +0200

Ludovic Courtès <[email-masked]> writes:

> Hello!
Hi,
> [...]
>
> Should we go for a v4 that addresses these two remaining issues?
>
> I didn’t follow closely but I’m happy to apply the patches when the
> three of you deem it ready.
>

There's a new issue we should address, that is our pre-built julia
binaries are not working on my x200 anymore.  I get:

> ERROR: Your CPU does not support the CX16 instruction, which is
> required by this version of Julia!  This is often due to running
> inside of a virtualized environment.  Please read
> https://docs.julialang.org/en/v1/devdocs/sysimg/ for more.

I should check if there's some cpu-related optimization that should be
disabled, but don't have much time those days.

Also, the number of julia packages is increasing so we should check all
new packages still work with this patches.

Anybody can take a look at this?  I'll be available in two months hopefully
Thanks, Nicolò